Page MenuHomePhabricator

At least one of: RCID, revision ID, and log ID MUST be specified when adding or removing a tag from a change!
Closed, ResolvedPublic

Description

Error

MediaWiki version: 1.35.0-wmf.21

message
At least one of: RCID, revision ID, and log ID MUST be specified when adding or removing a tag from a change!
exception.trace
#0 /srv/mediawiki/php-1.35.0-wmf.21/includes/changetags/ChangeTags.php(259): ChangeTags::updateTags(array, array, NULL, NULL, NULL, NULL, NULL)
#1 /srv/mediawiki/php-1.35.0-wmf.21/extensions/MassMessage/includes/job/MassMessageJob.php(243): ChangeTags::addTags(string, NULL, NULL, NULL)
#2 /srv/mediawiki/php-1.35.0-wmf.21/includes/deferred/MWCallableUpdate.php(38): MediaWiki\MassMessage\MassMessageJob->MediaWiki\MassMessage\{closure}()
#3 /srv/mediawiki/php-1.35.0-wmf.21/includes/deferred/DeferredUpdates.php(417): MWCallableUpdate->doUpdate()
#4 /srv/mediawiki/php-1.35.0-wmf.21/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#5 /srv/mediawiki/php-1.35.0-wmf.21/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, Monolog\Logger, BufferingStatsdDataFactory, string)
#6 /srv/mediawiki/php-1.35.0-wmf.21/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
#7 /srv/mediawiki/php-1.35.0-wmf.21/extensions/EventBus/includes/JobExecutor.php(97): DeferredUpdates::doUpdates()
#8 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)
#9 {main}

Notes

These are happening in group0 a little, like less than 10 in the last hour. Probably not bad enough to warrant Unbreak-Now, but I'm not competent to make that decision.

(Added @jeena as subscriber, who is running the train this week.)

Details

Request ID
XlZ9VwpAMFgAAAU2ZHMAAACS
Request URL
https://jobrunner.discovery.wmnet/rpc/RunSingleJob.php

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2020, 2:20 PM
Pchelolo added a subscriber: Pchelolo.EditedMar 2 2020, 6:36 PM

Context about what's happening:

MassMessageJob uses Action API action=edit to edit a talk page and deliver the massage. The it check if there's no 'error' hey in the result, followed by scheduling a deferred update to add a change tag to the newrevid. The deferred update fails because newrevid is null.

Inspecting the ApiEditPage, it seems like the newrevid === null in the response with no error is only possible if the content of the article didn't change. However, we're appending a new section, so it's not clear how would that happen.

For further investigation I've selected this log instance.

It corresponds to the following on-wiki logs: https://meta.wikimedia.org/wiki/Special:Log/massmessage

You can see that the following error is logged:

16:29, 2 March 2020 Delivery of "Wikidata weekly summary #405" to User talk:PrimeCerberus failed with an error code of contenttoobig

So, the underlying problem is clear: the individual user page where the messages were delivered became too big.
There's 2 actions to be taken here:

  1. We need to figure out what should MassMessage do when that happens - I will create a separate ticket for that.
  2. Fix the crash - an exception shouldn't be thrown if this occurs. This will be tracked under this ticket.

Change 576140 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/MassMessage@master] Properly return API failure to MassMessageJob

https://gerrit.wikimedia.org/r/576140

Filed T246725 to figure out a strategy for message delivery when user talk page becomes too big from messages.

Krinkle updated the task description. (Show Details)Mar 17 2020, 1:19 AM
Krinkle edited Stack Trace. (Show Details)
daniel assigned this task to Pchelolo.Apr 7 2020, 12:49 PM
daniel triaged this task as High priority.Apr 7 2020, 12:52 PM

Change 576140 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Properly return API failure to MassMessageJob

https://gerrit.wikimedia.org/r/576140

Pchelolo closed this task as Resolved.Apr 16 2020, 8:35 PM

Fix deployed. Please reopen if it happens again

Change 608229 had a related patch set uploaded (by Paladox; owner: Ppchelko):
[mediawiki/extensions/MassMessage@REL1_34] Properly return API failure to MassMessageJob

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MassMessage/ /608229

Change 608229 abandoned by Paladox:
Properly return API failure to MassMessageJob

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MassMessage/ /608229